{"models":[{"endpoint_id":"fal-ai/kling-video/v2.1/master/image-to-video","metadata":{"display_name":"Kling 2.1 Master","category":"image-to-video","description":"Kling 2.1 Master: The premium endpoint for Kling 2.1, designed for top-tier image-to-video generation with unparalleled motion fluidity, cinematic visuals, and exceptional prompt precision.\n\n","status":"deprecated","tags":["_marquee-video-model"],"updated_at":"2026-09-15T13:14:25.512Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-5.jpeg","model_url":"https://fal.run/fal-ai/kling-video/v2.1/master/image-to-video","license_type":"commercial","date":"2025-05-29T00:01:10.593Z","group":{"key":"kling-video-v21","label":"2.1 Master (Image to Video)"},"highlighted":false,"kind":"inference","duration_estimate":6,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v2.1/master/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v2.1/master/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v2.1/master/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-5.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/master/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/master/image-to-video/api","about":"Kling 2.1 Master Image to Video API."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV21MasterImageToVideoInput":{"properties":{"negative_prompt":{"type":"string","default":"blur, distort, and low quality","title":"Negative Prompt","maxLength":2500},"cfg_scale":{"type":"number","description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","default":0.5,"minimum":0,"title":"Cfg Scale","maximum":1},"enable_safety_checker":{"type":"boolean","description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","default":true,"title":"Enable Safety Checker"},"image_url":{"type":"string","description":"URL of the image to be used for the video","examples":["https://v3.fal.media/files/zebra/9Nrm22YyLojSTPJbZYNhh_image.webp"],"title":"Image Url"},"prompt":{"type":"string","examples":["Sunlight dapples through budding branches, illuminating a vibrant tapestry of greens and browns as a pair of robins meticulously weave twigs and mud into a cradle of life, their tiny forms a whirlwind of activity against a backdrop of blossoming spring.  The scene unfolds with a gentle, observational pace, allowing the viewer to fully appreciate the intricate details of nest construction, the soft textures of downy feathers contrasted against the rough bark of the branches, the delicate balance of strength and fragility in their creation."],"title":"Prompt","maxLength":2500},"duration":{"type":"string","description":"The duration of the generated video in seconds","default":"5","title":"Duration","enum":["5","10"]}},"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","image_url","duration","negative_prompt","cfg_scale"],"title":"ImageToVideoV21MasterRequest","required":["prompt","image_url"]},"KlingVideoV21MasterImageToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"url":"https://v3.fal.media/files/rabbit/YuUWKFq508zzWIiQ0i2vt_output.mp4"}]}},"type":"object","x-fal-order-properties":["video"],"title":"ImageToVideoV21MasterOutput","required":["video"]},"File":{"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"]}}},"paths":{"/fal-ai/kling-video/v2.1/master/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/master/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v2.1/master/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21MasterImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/master/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21MasterImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v2.1/pro/image-to-video","metadata":{"display_name":"Kling 2.1 (pro)","category":"image-to-video","description":"Kling 2.1 Pro is an advanced endpoint for the Kling 2.1 model, offering professional-grade videos with enhanced visual fidelity, precise camera movements, and dynamic motion control, perfect for cinematic storytelling.\n\n","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:14:38.892Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","model_url":"https://fal.run/fal-ai/kling-video/v2.1/pro/image-to-video","license_type":"commercial","date":"2025-05-28T21:01:03.267Z","group":{"key":"kling-video-v21","label":"2.1 Pro (Image to Video)"},"highlighted":false,"kind":"inference","duration_estimate":5,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v2.1/pro/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v2.1/pro/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v2.1/pro/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/pro/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/pro/image-to-video/api","about":"Kling 2.1 (pro) Image to Video API."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV21ProImageToVideoInput":{"properties":{"negative_prompt":{"type":"string","default":"blur, distort, and low quality","title":"Negative Prompt","maxLength":2500},"cfg_scale":{"type":"number","description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","default":0.5,"minimum":0,"title":"Cfg Scale","maximum":1},"enable_safety_checker":{"type":"boolean","description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","default":true,"title":"Enable Safety Checker"},"image_url":{"type":"string","description":"URL of the image to be used for the video","examples":["https://v3.fal.media/files/lion/_I_io6Gtk83c72d-afXf8_image.webp"],"title":"Image Url"},"prompt":{"type":"string","examples":["Warm, incandescent streetlights paint the rain-slicked cobblestones in pools of amber light as a couple walks hand-in-hand, their silhouettes stark against the blurry backdrop of a city shrouded in a gentle downpour; the camera lingers on the subtle textures of their rain-soaked coats and the glistening reflections dancing on the wet pavement, creating a sense of intimate vulnerability and shared quietude."],"title":"Prompt","maxLength":2500},"tail_image_url":{"anyOf":[{"type":"string","ui":{"field":"image"}},{"type":"null"}],"description":"URL of the image to be used for the end of the video","title":"Tail Image Url"},"duration":{"type":"string","description":"The duration of the generated video in seconds","default":"5","title":"Duration","enum":["5","10"]}},"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","image_url","duration","negative_prompt","cfg_scale","tail_image_url"],"title":"ImageToVideoV21ProRequest","required":["prompt","image_url"]},"KlingVideoV21ProImageToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"url":"https://v3.fal.media/files/rabbit/Y5I8-7u3e7ogVSvPin1TS_output.mp4"}]}},"type":"object","x-fal-order-properties":["video"],"title":"ImageToVideoV21ProOutput","required":["video"]},"File":{"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"]}}},"paths":{"/fal-ai/kling-video/v2.1/pro/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/pro/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v2.1/pro/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21ProImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/pro/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21ProImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v2.1/standard/image-to-video","metadata":{"display_name":"Kling 2.1 (standard)","category":"image-to-video","description":"Kling 2.1 Standard is a cost-efficient endpoint for the Kling 2.1 model, delivering high-quality image-to-video generation \n\n","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:14:51.552Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/elephant/5Yt8D9tl-IaGQ-6czSXL1_HHQ_VCby6xP_DFLkQQLpV_3c8622214c4c4ac29b4b64e157746507.jpg","model_url":"https://fal.run/fal-ai/kling-video/v2.1/standard/image-to-video","license_type":"commercial","date":"2025-05-28T20:59:07.301Z","group":{"key":"kling-video-v21","label":"2.1 Standard (Image to Video)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v2.1/standard/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v2.1/standard/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v2.1/standard/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3.fal.media/files/elephant/5Yt8D9tl-IaGQ-6czSXL1_HHQ_VCby6xP_DFLkQQLpV_3c8622214c4c4ac29b4b64e157746507.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/standard/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/standard/image-to-video/api","about":"Kling 2.1 (std) Image to Video API."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV21StandardImageToVideoInput":{"properties":{"negative_prompt":{"type":"string","default":"blur, distort, and low quality","title":"Negative Prompt","maxLength":2500},"cfg_scale":{"type":"number","description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","default":0.5,"minimum":0,"title":"Cfg Scale","maximum":1},"enable_safety_checker":{"type":"boolean","description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","default":true,"title":"Enable Safety Checker"},"image_url":{"type":"string","description":"URL of the image to be used for the video","examples":["https://storage.googleapis.com/falserverless/model_tests/kling/kling-image-to-video.jpg"],"title":"Image Url"},"prompt":{"type":"string","examples":["As the sun dips below the horizon, painting the sky in fiery hues of orange and purple, powerful waves relentlessly crash against jagged, dark rocks, their white foam a stark contrast to the deepening twilight; the textured surface of the rocks, wet and glistening, reflects the vibrant colors, creating a mesmerizing spectacle of nature's raw power and breathtaking beauty"],"title":"Prompt","maxLength":2500},"duration":{"type":"string","description":"The duration of the generated video in seconds","default":"5","title":"Duration","enum":["5","10"]}},"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","image_url","duration","negative_prompt","cfg_scale"],"title":"ImageToVideoV21StandardRequest","required":["prompt","image_url"]},"KlingVideoV21StandardImageToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"url":"https://v3.fal.media/files/koala/17e3xh08J4_PkHS_0cbwF_output.mp4"}]}},"type":"object","x-fal-order-properties":["video"],"title":"ImageToVideoV21StandardOutput","required":["video"]},"File":{"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"]}}},"paths":{"/fal-ai/kling-video/v2.1/standard/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/standard/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v2.1/standard/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21StandardImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/standard/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21StandardImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/hunyuan-portrait","metadata":{"display_name":"Hunyuan Portrait","category":"image-to-video","description":"HunyuanPortrait is a diffusion-based framework for generating lifelike, temporally consistent portrait animations.","status":"deprecated","tags":["animation","lip sync"],"updated_at":"2026-05-26T23:01:56.155Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-4.jpeg","model_url":"https://fal.run/fal-ai/hunyuan-portrait","license_type":"commercial","date":"2025-05-27T13:49:00.211Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/kling-video/v1.6/standard/elements","metadata":{"display_name":"Kling 1.6 Elements","category":"image-to-video","description":"Generate video clips from your multiple image references using Kling 1.6 (standard)","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:08:25.027Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/kling-1-6-image-to-video.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/kling-1-6-image-to-video-animated.webp","model_url":"https://fal.run/fal-ai/kling-video/v1.6/standard/elements","license_type":"commercial","date":"2025-05-20T14:33:48.560Z","group":{"key":"kling-video-v1-6","label":"Elements v1.6 (std)"},"highlighted":false,"kind":"inference","duration_estimate":6,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v1.6/standard/elements","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v1.6/standard/elements queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v1.6/standard/elements","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/kling-1-6-image-to-video.webp","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v1.6/standard/elements","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v1.6/standard/elements/api","about":"Kling Standard Multi-Image to Video API.\n\nThis endpoint allows generating videos from multiple input images (up to 4).\nThe images should be provided in the order they should appear in the video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV16StandardElementsInput":{"properties":{"negative_prompt":{"type":"string","default":"blur, distort, and low quality","title":"Negative Prompt","maxLength":2500},"aspect_ratio":{"type":"string","description":"The aspect ratio of the generated video frame","default":"16:9","title":"Aspect Ratio","enum":["16:9","9:16","1:1"]},"duration":{"type":"string","description":"The duration of the generated video in seconds","default":"5","title":"Duration","enum":["5","10"]},"prompt":{"type":"string","examples":["A cute girl and a baby cow sleeping together on a bed"],"title":"Prompt","maxLength":2500},"input_image_urls":{"type":"array","description":"List of image URLs to use for video generation. Supports up to 4 images.","examples":[["https://storage.googleapis.com/falserverless/web-examples/kling-elements/first_image.jpeg","https://storage.googleapis.com/falserverless/web-examples/kling-elements/second_image.png"]],"items":{"type":"string"},"title":"Input Image Urls"},"enable_safety_checker":{"type":"boolean","description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","default":true,"title":"Enable Safety Checker"}},"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","input_image_urls","duration","aspect_ratio","negative_prompt"],"title":"MultiImageToVideoRequest","required":["prompt","input_image_urls"]},"KlingVideoV16StandardElementsOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"content_type":"video/mp4","file_size":3910577,"url":"https://v3.fal.media/files/penguin/twy6u1yv09NvqsX0mMFM2_output.mp4","file_name":"output.mp4"}]}},"type":"object","x-fal-order-properties":["video"],"title":"ElementsOutput","required":["video"]},"File":{"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"]}}},"paths":{"/fal-ai/kling-video/v1.6/standard/elements/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1.6/standard/elements/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v1.6/standard/elements":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV16StandardElementsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1.6/standard/elements/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV16StandardElementsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v1.6/pro/elements","metadata":{"display_name":"Kling 1.6 Elements","category":"image-to-video","description":"Generate video clips from your multiple image references using Kling 1.6 (pro)","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:08:35.395Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/kling-1-6-image-to-video.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/kling-1-6-image-to-video-animated.webp","model_url":"https://fal.run/fal-ai/kling-video/v1.6/pro/elements","license_type":"commercial","date":"2025-05-20T14:31:12.908Z","group":{"key":"kling-video-v1-6","label":"Elements v1.6 (pro)"},"highlighted":false,"kind":"inference","duration_estimate":6,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v1.6/pro/elements","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v1.6/pro/elements queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v1.6/pro/elements","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/kling-1-6-image-to-video.webp","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v1.6/pro/elements","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v1.6/pro/elements/api","about":"Kling Pro Multi-Image to Video API.\n\nThis endpoint allows generating videos from multiple input images (up to 4).\nThe images should be provided in the order they should appear in the video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV16ProElementsInput":{"properties":{"negative_prompt":{"type":"string","default":"blur, distort, and low quality","title":"Negative Prompt","maxLength":2500},"aspect_ratio":{"type":"string","description":"The aspect ratio of the generated video frame","default":"16:9","title":"Aspect Ratio","enum":["16:9","9:16","1:1"]},"duration":{"type":"string","description":"The duration of the generated video in seconds","default":"5","title":"Duration","enum":["5","10"]},"prompt":{"type":"string","examples":["A cute girl and a baby cow sleeping together on a bed"],"title":"Prompt","maxLength":2500},"input_image_urls":{"type":"array","description":"List of image URLs to use for video generation. Supports up to 4 images.","examples":[["https://storage.googleapis.com/falserverless/web-examples/kling-elements/first_image.jpeg","https://storage.googleapis.com/falserverless/web-examples/kling-elements/second_image.png"]],"items":{"type":"string"},"title":"Input Image Urls"},"enable_safety_checker":{"type":"boolean","description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","default":true,"title":"Enable Safety Checker"}},"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","input_image_urls","duration","aspect_ratio","negative_prompt"],"title":"MultiImageToVideoRequest","required":["prompt","input_image_urls"]},"KlingVideoV16ProElementsOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"content_type":"video/mp4","file_size":3910577,"url":"https://v3.fal.media/files/penguin/twy6u1yv09NvqsX0mMFM2_output.mp4","file_name":"output.mp4"}]}},"type":"object","x-fal-order-properties":["video"],"title":"ElementsOutput","required":["video"]},"File":{"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"]}}},"paths":{"/fal-ai/kling-video/v1.6/pro/elements/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1.6/pro/elements/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v1.6/pro/elements":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV16ProElementsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1.6/pro/elements/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV16ProElementsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video-13b-dev/image-to-video","metadata":{"display_name":"LTX Video-0.9.7 13B","category":"image-to-video","description":"Generate videos from prompts and images using LTX Video-0.9.7 13B and custom LoRA","status":"deprecated","tags":["video","ltx-video","image-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Training-5.jpg","model_url":"https://fal.run/fal-ai/ltx-video-13b-dev/image-to-video","license_type":"commercial","date":"2025-05-17T01:53:06.455Z","group":{"key":"ltx-video-13b","label":"Image to Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false,"training_endpoint_ids":["fal-ai/ltx-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/ltx-video-lora/image-to-video","metadata":{"display_name":"LTX Video-0.9.7 LoRA","category":"image-to-video","description":"Generate videos from prompts and images using LTX Video-0.9.7 and custom LoRA","status":"deprecated","tags":["video","ltx-video","image-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Training-5.jpg","model_url":"https://fal.run/fal-ai/ltx-video-lora/image-to-video","license_type":"commercial","date":"2025-05-15T19:36:01.467Z","group":{"key":"ltx-video-lora","label":"Image to Video"},"highlighted":false,"kind":"inference","duration_estimate":2,"pinned":false,"training_endpoint_ids":["fal-ai/ltx-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/hunyuan-custom","metadata":{"display_name":"Hunyuan Custom","category":"image-to-video","description":"HunyuanCustom revolutionizes video generation with unmatched identity consistency across multiple input types. Its innovative fusion modules and alignment networks outperform competitors, maintaining subject integrity while responding flexibly to text, image, audio, and video conditions.","status":"deprecated","tags":["image-to-video"],"updated_at":"2026-05-26T23:01:53.543Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-3.jpg","model_url":"https://fal.run/fal-ai/hunyuan-custom","license_type":"commercial","date":"2025-05-14T10:59:20.323Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/ltx-video-v097/image-to-video","metadata":{"display_name":"LTX Video-0.9.7","category":"image-to-video","description":"Deprecated.\nUse fal-ai/ltx-video-13b-dev or fal-ai/ltx-video-13b-distilled instead.","status":"deprecated","tags":["video","image-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Training-4.jpg","model_url":"https://fal.run/fal-ai/ltx-video-v097/image-to-video","license_type":"commercial","date":"2025-05-06T16:15:05.343Z","group":{"key":"ltx-video-0.9.7","label":"Image to Video"},"highlighted":false,"kind":"inference","duration_estimate":2,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}}],"next_cursor":"MjI","has_more":true}
